//	CArena where the worms race

#define MAXWORMS 4
#define MAXCOLOURS 6
class CWorm;

class CArena
{
	public:
		CArena();
		~CArena();
		int Timeslice(GsOT* orderingTable);
		void Start();
		static void AddWorm(int wormno, int colour);
		static void RemoveWorm(int wormno);
		int GetWinner();
		static BOOL AtLeastOneWormIn();
		static CWorm* mWorms[MAXWORMS];
		static mWormIn[MAXWORMS];
	
	private:
		int mWormsLeft;	  
		int mWormsIn;
		static BOOL mWormLeft[MAXWORMS];
		int mTimeCount;
		int mSpeed;
		int mJumpCount;
		int mSoundCount;
		int mNextSound;
};

	
		