/*
 *	pad.cpp
 */
 
#include <libps.h>
#include "comconst.h"
#include "pad.h"

int CPad::mInitialised=0;
volatile unsigned char* CPad::mController1;
volatile unsigned char* CPad::mController2;


CPad::CPad(int padno, side theside)
{

	if (!mInitialised)
	{
		GetPadBuf(&mController1, &mController2);		
		mInitialised=1;
	}
	switch (padno)
	{
		case 1:		mControllerByte=mController1;
					break;
		case 2:		mControllerByte=mController2;
					break;
		default:	mControllerByte=mController1;
	}
	mSide=theside;
}
	