/*
 *	CPixMap implementation. Only works for widths divisible by 32
 */
#include <stdio.h>
#include "comconst.h" 
#include "pixmap.h"
 
 
CPixMap::CPixMap(int width, int height)
{
	mWidth=width/32;
	mHeight=height;
	mPixels=new unsigned int[mWidth*mHeight];
}

void CPixMap::Clear()
{
	for (int g=0; g<mHeight; g++)
	{	
		for (int h=0; h<mWidth; h++)
		{	
			mPixels[g*mWidth + h]=(unsigned int)0x00;
		}
	}	
}
 
CPixMap::~CPixMap()
{
	delete [] mPixels;
}
 		
	 