/*
 *	CPixMap
 */
 
class CPixMap
{
	public:
		CPixMap(int width, int height);
		~CPixMap();
		void Clear();
		void Plot(int x, int y);
		BOOL Plotted(int x, int y);
		
	private:
		unsigned int *mPixels;
		int mWidth;
		int mHeight;
};

inline void CPixMap::Plot(int x, int y)
{
	int bit=x%32;
	mPixels[(y*mWidth) + (x/32)] |= (((unsigned int)0x01)<<bit);
}

inline BOOL CPixMap::Plotted(int x, int y)
{
	int bit=x%32;
	unsigned int value=mPixels[(y*mWidth) + (x/32)];
	return ((value & (((unsigned int)0x01)<<bit))>>bit);	
}