//score.h

#define MAXWORMS 4
#define MAXCOLOURS 6

#include <libps.h>

class CArena;

class CScoreboard
{
	public:
		CScoreboard();
		~CScoreboard();
		
		void DisplayScores(GsOT *orderingTable, CArena* arena);
//		void PrintScores(CArena* arena);
		
	private:
	
		GsBOXF mBox;
		GsBOXF mBox2;
		GsSPRITE* mDigits[MAXCOLOURS][2];
		static int mDigitW[];
		static int mDigitH[];
		static int mDigitX[];
		static int mDigitY[];
		GsDOBJ2 mObj;	//TMD onject handles
		MATRIX mTransformMatrix;
		MATRIX mCoordMatrix;
		int mDistance;
		int mAngle;
		int mDirection;
		SVECTOR mRotate;
		GsRVIEW2 mView;

};
		